# Better Balanced Survivors
#### by Fullmight

This does generally increase the power level in the game, at least if you're not usually playing Mul-T or Engineer.

I'm probably going to work my way back towards slightly more realistic balance and further character differentiation with slight nerfs
over time as I get more of a feel for how my changes have affected inter-character balance and as I get more feedback.

The overall goal is to make all survivors feel fun and powerful even on somewhat "meh" item runs, while still keeping death as a threat
unless you get a really op set of items.

I particularly recommend this mod in conjunction with other mods that add more risk/reward, like EnemyItemPlugin and Multitudes.

## Features

* Most survivors have had their stats altered to create a more distinct feel
* In the base game most characters have the same speed, damage, etc.
* Artificer is more nuke based, Mercenary is buffed to be tougher and have slightly higher damage to compensate for melee range, etc.

####Full List:

 
                ///Commando 
                {
                    Commando - baseMoveSpeed = 7.5f;
                    Commando - baseMaxHealth = 120f;
                    Commando - baseRegen = 1.5f;
                    Commando - baseJumpPower = 15f;
                    Commando - baseDamage = 12f;
                    Commando - baseAttackSpeed = 1.1f;
                }
				
                ///Engineer
                {
                }
				
                ///Huntress
				
                {
                    Huntress - baseMoveSpeed = 8f;
                    Huntress - baseMaxHealth = 110f;
                    Huntress - baseRegen = 1.5f;
                    Huntress - baseMaxShield = 0f;
                    Huntress - levelMaxShield = 0f;
                    Huntress - baseJumpPower = 16f;
                    Huntress - baseAcceleration = 100f;
                    Huntress - baseDamage = 13f;
                    Huntress - levelDamage = 2.6f;
                    Huntress - baseCrit = 10f;
                }
				
                ///Artificer / Mage
                {
                    Artificer - baseMoveSpeed = 7f;
                    Artificer - baseMaxHealth = 100f;
                    Artificer - baseRegen = 1.0f;
                    Artificer - baseMaxShield = 0f;
                    Artificer - levelMaxShield = 0f;
                    Artificer - baseJumpPower = 16f;
                    Artificer - baseAcceleration = 60f;
                    Artificer - baseDamage = 13f;
                    Artificer - baseAttackSpeed = 1f;
                    Artificer - baseCrit = 1f;
                    Artificer - baseArmor = 1f;
                    Artificer - levelDamage = 3.0f;
                }
				
                ///Mercenary
                {
                    Mercenary - baseMoveSpeed = 9f;
                    Mercenary - baseMaxHealth = 160f;
                    Mercenary - baseRegen = 2.5f;
                    Mercenary - baseJumpPower = 19f;
                    Mercenary - baseAcceleration = 100f;
                    Mercenary - baseDamage = 14f;
                    Mercenary - baseAttackSpeed = 1.05f;
                    Mercenary - baseCrit = 15f;
                    Mercenary - baseArmor = 5f;
                    Mercenary - levelDamage = 2.7f;
                }
				
				///Bandit
				{
				    Bandit - baseMoveSpeed = 7.5f;
                    Bandit - baseDamage = 14f;
                    Bandit - baseCrit = 20f;
                    Bandit - levelDamage = 2.6f;
				}

				
### Patch Notes:

1.2.1: This patch marks a change in balance style for this mod, I'm splitting my work into two mods; this and BarelyBalancedSurvivors(soonTM). 
as such I've reduced and removed changes across the board in this mod to create a better vanilla balance at rainstorm difficulty. 
This mod will still be somewhat easier than the vanilla experience, as the goal is to bring the less powerful/reliable survivors up to snuff 
as well as give survivors distinct stat blocks

Changes:
Commando attackspeed reduced to 1.1 from 1.2, armor reset to vanilla values. 

Engineer all changes removed. 

Artificer base damage reduced from 14 to 13 and damage gain per level reduced from 3.2 to 3.0. 

Mercenary Regen reduced from 3 to 2.5 and level damage reduced from 2.8 to 2.7. 

Huntress No change (for now). 

Bandit No change. 



1.2.0: Fixed Artificer nerf; I nerfed her jump height instead of damage by accident so she was way op. 
Added support for Bandit mod (ups his power level to compete with other survivors in this mod).
Reduced Engineer armor a smidgen, still deciding what to do with him, probably requires skill editing.

1.1.0: Reworked code to be less spaghetto, 
fixed compatibility issue with custom survivors in the process, 
added support for balancing custom survivors within this mod (none that currently need it though). 
Code in this project should provide a better example of how to mod survivor stats now.

1.0.7: God damn it why do I always forget how markdown readmes work. Fixed readme (I hope), and added additional foreword.

1.0.5: Commando increased base attack speed by 0.05.

1.0.4: Yep, I goofed the formatting still.

1.0.3: Still fucked

1.0.2: oops, I fucked up the readme

1.0.1:
Reduced Artificer base damage by 1, damage scaling per level by 0.2, base hp by 10, and base regen by 0.5.

## Installation

* Install
* Copy the included `BetterBalancedSurvivors.dll` into your BepInEx plugins
  folder.
